<!--
 * @Description: 日常养护任务单统计
 * @Author: @liulin
 * @Date: 2023-03-20 15:33:53
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-03-24 15:56:09
-->
<template>
  <TableConfig :configData="configData" />
</template>

<script>
import TableConfig from './components/TableConfig.vue'
import utils from '@/utils' // thousandBit格式化千分位
const BigNumber = require('bignumber.js')
export default {
  name: 'maintenancePatrolStatistics',
  components: {
    TableConfig
  },
  data() {
    return {
      configData: {
        table: [
          {
            label: '路段名称',
            value: 'roadName'
          },
          {
            label: '关联病害总数',
            value: 'deseasaOrderCount'
          },
          {
            label: '已完成总数',
            value: 'finishCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '已完成预算',
            value: 'finishMoney',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '已完成预算比例',
            value: 'finishMoneyRate',
            format: true,
            count: val => new BigNumber(val).times(100) + '%'
          },
          {
            label: '完成比例',
						value: 'finishRate',
						format: true,
						count: val => new BigNumber(val).times(100) + '%'
          },
          {
            label: '养护预算',
            value: 'money',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '工单总数',
            value: 'orderCount',
            format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '逾期总数',
            value: 'overCount'
          },
          {
            label: '逾期比例',
            value: 'overRate'
					},
					{
            label: '未完成总数',
            value: 'runCount'
          },
					{
            label: '未关联病害总数',
            value: 'unDeseasaOrderCount',
            format: true,
            count: val => utils.thousandBit(val)
          }
        ],
        api: 'workOrderInformation/v1/orderReport'
      }
    }
  }
}
</script>
<style lang="scss"></style>
